
#include <MPU6050_tockn.h>
#include <Wire.h>
#include <SPI.h>
#include "RF24.h"

MPU6050 mpu(Wire);
RF24 radio(9, 10); // NRF24L01 used SPI pins + Pin 9 and 10
const uint64_t pipe = 0xE6E6E6E6E6E6; // Needs to be the same for communicating between 2 NRF24L01


void setup() {
  Serial.begin(9600);
  Wire.begin();
  mpu.begin();
  mpu.calcGyroOffsets(true);

  radio.begin(); // Start the NRF24L01
  radio.openWritingPipe(pipe);
  radio.stopListening(); // Listen to see if information received
}

void loop() {
  mpu.update();
  Serial.print("angleX : ");
  Serial.print(mpu.getAngleX());
  Serial.print("\tangleY : ");
  Serial.print(mpu.getAngleY());
  Serial.print("\tangleZ : ");
  Serial.println(mpu.getAngleZ());

  radio.write(&mpu, sizeof(mpu));
}
